#!/bin/sh -e

if [ "$1" = "-v" -o "$1" = "--verbose" ]; then
    VERBOSE='--verbose'
    QUIET=
    PROGRESS='--progress'
    CONFIG='/srv/envs/${envname}/app/rattail.conf'
else
    VERBOSE=
    QUIET='--quiet'
    PROGRESS=
    CONFIG='/srv/envs/${envname}/app/silent.conf'
fi


RATTAIL="/srv/envs/${envname}/bin/rattail --config=$CONFIG $PROGRESS $VERBOSE"
PIP="sudo -u ${user} PIP_CONFIG_FILE=/srv/envs/${envname}/pip.conf /srv/envs/${envname}/bin/pip"

# upgrade pip
$PIP install $QUIET --upgrade pip

# upgrade rattail
cd /srv/envs/${envname}/src/rattail
if [ "$(sudo -u ${user} git status --porcelain)" != '' ]; then
   sudo -u ${user} git status
   exit 1
fi
sudo -u ${user} git pull $QUIET
sudo -u ${user} find . -name '*.pyc' -delete
$PIP install $QUIET --upgrade --upgrade-strategy eager --editable .

# run backup
cd /srv/envs/${envname}
$RATTAIL backup
